#
# spec file for package aaa_base (Version 98.8.12)
# 
# Copyright  (c)  1998  S.u.S.E. GmbH  Fuerth, Germany.
#
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  linuxdoc groff

Vendor:       S.u.S.E. GmbH, Fuerth, Germany
Distribution: S.u.S.E. Linux 5.3 (i386)
Name:         aaa_base
Release:      0
Copyright:    1996,97 S.u.S.E. GmbH Fuerth, Germany
Group: 
Provides:     bin bootutls etc fillup skeleng skelger 
Requires: 
Conflicts:    
Autoreqprov:  on
Packager:     feedback@suse.de

Version:      98.8.12
Summary:      S.u.S.E. Linux base package
BuildRoot: /tmp/aaa_base
Source: fillup.tar.gz
Patch: fillup.dif
Source1: aaa_base.tar.gz
Source2: skel.tar.gz
Source3: conf.modules
Source4: aaa_base.cfg-files
%description
This package installs several important configuration files. Central scripts
like SuSEconfig are also in this package.

Authors:
--------
    Burchard Steinbild <bs@suse.de>
    Florian La Roche <florian@suse.de>
    Werner Fink <werner@suse.de>
    Martin Scherbaum <maddin@suse.de>

%prep
%setup -n fillup
%patch
%build
make compile
cd SGML 
sgml2info fillup.sgml 
gzip -f fillup.info
%install
rm -rf $RPM_BUILD_ROOT
mkdir $RPM_BUILD_ROOT
tar zxpvfC $RPM_SOURCE_DIR/aaa_base.tar.gz $RPM_BUILD_ROOT
tar zxpvfC $RPM_SOURCE_DIR/skel.tar.gz $RPM_BUILD_ROOT
for i in issue issue.net ; do
    test -n "$BUILD_DISTRIBUTION_NAME" && {
        cat $RPM_BUILD_ROOT/etc/$i.in | \
            sed -e"s:DISTVERSION:$BUILD_DISTRIBUTION_NAME:" > \
            $RPM_BUILD_ROOT/etc/$i
    }
    rm $RPM_BUILD_ROOT/etc/$i.in
done
test -s $RPM_BUILD_ROOT/usr/man/man7/init.d.7.gz || exit 1
zcat $RPM_BUILD_ROOT/usr/man/man7/init.d.7.gz | \
    troff -Tlatin1 -t -mandoc | grotty -bou > \
    $RPM_BUILD_ROOT/sbin/init.d/README
install -o root -m 644 $RPM_SOURCE_DIR/conf.modules $RPM_BUILD_ROOT/etc
install -s -o root -m 755 BIN/fillup $RPM_BUILD_ROOT/bin
install -d $RPM_BUILD_ROOT/usr/info
install -o root -m 644 SGML/fillup.info.gz $RPM_BUILD_ROOT/usr/info
install -d $RPM_BUILD_ROOT/usr/doc/packages/aaa_base
install -o root -m 644 SGML/fillup.txt $RPM_BUILD_ROOT/usr/doc/packages/aaa_base
RPM_INSTALL_PREFIX=$RPM_BUILD_ROOT
cat /dev/null > aaa_base.files
for i in `( cd $RPM_BUILD_ROOT ; find * )` ; do
    if grep "^$i\$" $RPM_SOURCE_DIR/aaa_base.cfg-files ; then
        echo "%%config /$i" >> aaa_base.files
    elif test -d $RPM_BUILD_ROOT/$i ; then
        echo "%%dir /$i" >> aaa_base.files
    else
        case $i in
          etc/skel/*)
            echo "%%config /$i" >> aaa_base.files
          ;;
          *)
            echo "/$i" >> aaa_base.files
          ;;
        esac
    fi
done
export RPM_BUILD_ROOT
Check
%pre
#
# /boot should be the first directory.  This increases the probability, that
# lilo stuff lies before 1024 cyl.
mkdir -p boot
#
# make sure, tmp directories do exist
#
for i in tmp var/tmp ; do
    test -d $i || {
        if test -L $i ; then
            echo "Error! $i is a dangling symlink."
            echo
            ls -l $i
            echo
            echo "To avoid big problems this link has to be deleted and a directory"
            echo "will be created.  Remember to fix it after installation."
            echo
            rm -f $i
        elif test -f $i ; then
            echo "$i is a file.  This makes no sense.  Moving it to $i.save."
            mv -v $i $i.save
        fi
        mkdir -p $i
    }
done
#
# now create a var/adm/fillup-templates/passwd.aaa_base.  
# If etc/passwd does not exist, copy
# var/adm/fillup-templates/passwd.aaa_base to etc/passwd.
#
mkdir -p etc
touch etc/mtab
mkdir -p var/adm/fillup-templates
echo "root:x:0:0:root:/root:/bin/bash
bin:x:1:1:bin:/bin:/bin/bash
daemon:x:2:2:daemon:/sbin:/bin/bash
lp:x:4:7:lp daemon:/var/spool/lpd:/bin/bash
news:x:9:13::/var/lib/news:/bin/bash
uucp:x:10:14::/var/lib/uucp/taylor_config:/bin/bash
games:x:12:100::/tmp:/bin/bash
man:x:13:2::/var/catman:/bin/bash
at:x:25:25::/var/spool/atjobs:/bin/bash
postgres:x:26:2:Postgres Database Admin:/var/lib/pgsql:/bin/bash
lnx:x:27:27:LNX Database Admin:/usr/lib/lnx:/bin/bash
mdom:x:28:28:Mailing list agent:/usr/lib/majordomo:/bin/bash
yard:x:29:29:YARD Database Admin:/usr/lib/YARD:/bin/bash
wwwrun:x:30:-2:Daemon user for apache:/tmp:/bin/bash
squid:x:31:-2:WWW proxy squid:/var/squid:/bin/bash
fax:x:33:14:Facsimile Agent:/var/spool/fax:/bin/bash
gnats:x:34:-2:Gnats Gnu Backtracking System:/usr/lib/gnats:/bin/bash
empress:x:35:100:Empress Database Admin:/usr/empress:/bin/bash
adabas:x:36:100:Adabas-D Database Admin:/usr/lib/adabas:/bin/bash
amanda:x:37:6:Amanda Admin:/var/lib/amanda:/bin/bash
ixess:x:38:29:IXware Admin:/usr/lib/ixware:/bin/bash
irc:x:39:-2:IRC Daemon:/usr/lib/ircd:/bin/bash
ftp:x:40:2:ftp account:/usr/local/ftp:/bin/bash
firewall:x:41:31:firewall account:/tmp:/bin/false
informix:x:43:34:Informix Database Admin:/usr/lib/informix:/bin/bash
nobody:x:-2:-2:nobody:/tmp:/bin/bash" > var/adm/fillup-templates/passwd.aaa_base
echo "root:x:0:root
bin:x:1:root,bin,daemon
daemon:x:2:
tty:x:5:
disk:x:6:
lp:x:7:
wwwadmin:x:8:
kmem:x:9:
wheel:x:10:
mail:x:12:
news:x:13:news
uucp:x:14:uucp,fax,root
shadow:x:15:root
dialout:x:16:root
at:x:25:at
lnx:x:27:
mdom:x:28:
yard:x:29:
dosemu:x:30:
firewall:x:31:
public:x:32:
video:x:33:
informix:x:34:
game:x:40:
users:x:100:
nogroup:x:-2:root" > var/adm/fillup-templates/group.aaa_base
if test ! -e etc/passwd ; then
  cp var/adm/fillup-templates/passwd.aaa_base etc/passwd
fi
if test ! -e etc/group ; then
  cp var/adm/fillup-templates/group.aaa_base etc/group
fi
mkdir -p sbin/init.d
echo "#! /bin/sh
#
# Copyright (c) 1996 S.u.S.E. GmbH Fuerth, Germany.  All rights reserved.
#
# Author: Florian La Roche <florian@suse.de>, 1996
#	  Werner Fink <werner@suse.de>, 1996
#         Burchard Steinbild <bs@suse.de>, 1996
#
# /sbin/init.d/boot.local
#
# script with local commands to be executed from init on system startup
#
. /etc/rc.config
echo "Running /sbin/init.d/boot.local."
#
# Here you should add things, that should happen directly after booting
# before we're going to the first run level.
#
" > sbin/init.d/boot.local.new
test -e sbin/init.d/boot.local || mv sbin/init.d/boot.local.new sbin/init.d/boot.local
rm -f sbin/init.d/boot.local.new
chmod 744 sbin/init.d/boot.local
echo "#! /bin/sh
#
# Copyright (c) 1996 S.u.S.E. GmbH Fuerth, Germany.  All rights reserved.
#
# Author: Florian La Roche <florian@suse.de>, 1998
#	  Werner Fink <werner@suse.de>, 1998
#         Burchard Steinbild <bs@suse.de>, 1998
#
# /sbin/init.d/halt.local
#
# script with local commands to be executed from init on system shutdown
#
. /etc/rc.config
echo "Running /sbin/init.d/halt.local."
#
# Here you should add things, that should happen directly before shuting
# down.
#
" > sbin/init.d/halt.local.new
test -e sbin/init.d/halt.local || mv sbin/init.d/halt.local.new sbin/init.d/halt.local
rm -f sbin/init.d/halt.local.new
chmod 744 sbin/init.d/halt.local
mkdir -p root/bin
echo "#!/bin/sh
#
#
# cron.daily.local. This script is executed as a cron-job in the 
# early morning-hours (via cron.daily).
#
# please add your local daily tasks here, since cron.daily will be
# overwritten when you update the system.
#
# Copyright (c) 1996 S.u.S.E. GmbH Fuerth, Germany.   
#
# please send bugfixes or comments to feedback@suse.de.
#
#
" > root/bin/cron.daily.local.new
test -e root/bin/cron.daily.local || mv root/bin/cron.daily.local.new root/bin/cron.daily.local
rm -f root/bin/cron.daily.local.new
chmod 744 root/bin/cron.daily.local
mkdir -p etc
echo "#
# /etc/permissions.local
#
# Copyright (c) 1996 S.u.S.E. GmbH Fuerth, Germany.  All rights reserved.
#
# Author: Burchard Steinbild <bs@suse.de>, 1996
#
#
# This file is used by SuSEconfig and chkstat to check the permission
# and ownership of different files and directories (if you have choosen
# the "local" value in PERMISSION_SECURITY in /etc/rc.config) .
#
# This file is meant for your own preferences. It will not be overwritten
# when you update the system. Take a look at /etc/permissions for examples.
#
# Format: 
# <file> <owner>.<group> <permission> 
#
" > etc/permissions.local.new
test -e etc/permissions.local || mv etc/permissions.local.new etc/permissions.local
rm -f etc/permissions.local.new
for LINK in usr/X11R6/lib/X11 var/X11R6/lib/fonts usr/lib/mgetty+sendfax \
    usr/man/cat? usr/X11R6/man/cat? usr/openwin/man/cat? usr/lib/news ; do
    if test -L $LINK ; then
        echo "Found forbidden/oldish Link: $LINK ...deleting"
        rm -f $LINK
    fi
done
#
# old var/X11R6/lib stuff?
#
if test -d var/X11R6/lib -a ! -L var/X11R6/lib ; then
    echo
    echo "Found old style var/X11R6/lib. Moving to var/X11R6/lib.old..."
    if [ -e var/X11R6/lib.old ] ; then
        echo "var/X11R6/lib.old exists. giving up..."
    else
        mv var/X11R6/lib var/X11R6/lib.old
        echo "Trying to copy to usr/X11R6/lib/X11. This leads to incorrect "
        echo "harddisk space computation in YaST. Good Luck..."
        test -e usr/X11R6/lib/X11 || mkdir -p usr/X11R6/lib/X11
        if [ -d usr/X11R6/lib/X11 -a ! -L usr/X11R6/lib/X11 ] ; then
            ( cd var/X11R6/lib.old ; \
              tar cfp - . | tar xfpC - ../../../usr/X11R6/lib/X11 )
            echo done...
        else
            echo "usr/X11R6/lib/X11 is no directory. giving up..."
        fi
    fi
fi
for DIR in etc/rc.d usr/X11 ; do
    if test -d $DIR -a ! -L $DIR ; then
        echo -n "Found oldish directory /$DIR.  "
        if test -d $DIR.old ; then
            echo /$DIR.old already exist. Can not move /$DIR to it.
        else
            echo Moving it to /$DIR.old
            mv $DIR $DIR.old
        fi
    fi
done
%post
#
#
# post.sh - to be done after extraction
#
# Copyright (c) 1996 S.u.S.E. GmbH Fuerth, Germany.
#
#
#
# to make shure, var/lib/YaST/bin/bootsetup runs fine, delete
# usr/lib/YaST/.configured2
test -e usr/lib/YaST/.configured2 && rm -f usr/lib/YaST/.configured2
#
# there are some installation with an etc/psdevtab, which is only readable
# for root - this slows ps for any other user. starting ps as root, creates
# it, when it doesn't exist (readable). So simply delete it.
#
test -e etc/psdevtab && rm -f etc/psdevtab
if [ ! -e etc/rc.config ]; then
 echo "#
# /etc/rc.config
#
# Copyright (c) 1996,98 S.u.S.E. GmbH Fuerth, Germany.  All rights reserved.
#
# Author: Florian La Roche <florian@suse.de>, 1996
#         Werner Fink <werner@suse.de>, 1996
#         Burchard Steinbild <bs@suse.de>, 1996
#
# Configuration database for shell scripts in /sbin/init.d, /sbin/SuSEconfig 
# and /root/bin/cron.daily
#
# Please edit this file and execute /sbin/SuSEconfig to configure everything.
# Also don't forget to edit the following files:
#       - /etc/lilo.conf
#       - /etc/fstab
#       - /etc/profile
#       - /etc/hosts
#
" > etc/rc.config
 cat var/adm/fillup-templates/rc.config.aaa_base >> etc/rc.config
 chmod 644 etc/rc.config
else
 echo "Updating etc/rc.config..."
 if [ -x bin/fillup ] ; then
  bin/fillup -q -d = etc/rc.config var/adm/fillup-templates/rc.config.aaa_base
 else
  echo "ERROR: fillup not found. This should not happen. Please compare"
  echo "etc/rc.config and var/adm/fillup-templates/rc.config.aaa_base "
  echo "and update by hand."
 fi
fi
if [ -x bin/fillup ] ; then
    for i in passwd group shadow gshadow ; do
        test -e var/adm/fillup-templates/$i.aaa_base || continue
        if [ -e etc/$i ] ; then
            cp etc/$i etc/$i.t
            cat etc/$i | grep -v "^+" > etc/$i.tt
            test -s etc/$i.tt && mv etc/$i.tt etc/$i
        else
            touch etc/$i
        fi
        if [ -e var/adm/fillup-templates/$i.aaa_base ] ; then
            echo "Updating etc/$i..."
            bin/fillup -q -d ":" etc/$i var/adm/fillup-templates/$i.aaa_base
        else
            echo "Cannot find var/adm/fillup-templates/$i.aaa_base. strange..."
        fi
        if [ -e etc/$i.t ] ; then
            grep "^+" etc/$i.t >> etc/$i
            rm -f etc/$i.t etc/$i.tt
        fi
        case $i in
          *shadow)
            chmod 600 etc/$i
          ;;
        esac
    done
else
 echo "ERROR: fillup not found. This should not happen."
fi
#
# If we have a NIS system, we have to make sure, that "^+" is at the end
# of passwd.
#
grep -v "^+" etc/passwd > etc/passwd.tmp
grep "^+" etc/passwd >> etc/passwd.tmp
test -s etc/passwd.tmp && cat etc/passwd.tmp > etc/passwd
rm -f etc/passwd.tmp
#
# create mtab if it does not exist
#
touch etc/mtab
#
# make sure that several log files exist
#
if test ! -d var/log ; then
    mkdir -p var/log
fi
touch var/log/faillog
chmod 600 var/log/faillog
chown root.root var/log/faillog
touch var/log/lastlog
chmod 644 var/log/lastlog
chown root.root var/log/lastlog
touch var/log/wtmp
chmod 664 var/log/wtmp
chown root.tty var/log/wtmp
if test ! -e usr/sbin/usradd.local ; then
    mkdir -p usr/sbin
    cat << EOT > usr/sbin/usradd.local
#!/bin/bash
#
# Here you can add your own stuff, that should be done for every new user.
#
# When you create a new user with YaST, this script will be called
# with the new login name as parameter.  The rest of data can be taken
# from /etc/passwd.
#
EOT
    chmod 744 usr/sbin/usradd.local
fi
if test ! -e usr/sbin/usrdel.local ; then
    mkdir -p usr/sbin
    cat << EOT > usr/sbin/usrdel.local
#!/bin/bash
#
# Here you can add your own stuff, that should be done for every user who
# will be deleted.
#
# When you delete a user with YaST, this script will be called
# with the login name as parameter.  The rest of data can be taken
# from /etc/passwd.
#
EOT
    chmod 744 usr/sbin/usrdel.local
fi
XSUSE_FOUND=""
for i in XSuSE_AT3D XSuSE_Matrox XSuSE_NVidia \
         XSuSE_Trident XSuSE_Tseng XSuSE_Mach64 ; do
    test -e usr/X11R6/bin/$i && XSUSE_FOUND="$XSUSE_FOUND $i"
done
if test -n "$XSUSE_FOUND" ; then
    mkdir -p var/adm/notify/messages
    cat << EOT > var/adm/notify/messages/XSuSE-Server
Hallo,  (english text below)
Ihr System enthaelt die/den aelteren SuSE Server $XSUSE_FOUND.
Diese Server sind mittlerweile in die XFree86 Version eingeflossen.
Wenn Sie die neue Version installiert haben, koennen Sie mittels XF86Setup
auf die neue Version umsteigen.
Hello,
your system contains the old SuSE Server $XSUSE_FOUND.
These servers are now part of the XFree86 servers.  If you have installed
the new version, you can switch to it using XF86Setup.
Have a lot of fun...
                          Your S.u.S.E. Team
EOT
fi
XSERVER_FOUND=false
for i in usr/X11R6/bin/XF86_* ; do
    test -f $i && XSERVER_FOUND=true
done
if test $XSERVER_FOUND = true ; then
    mkdir -p var/adm/notify/messages
    cat << EOT > var/adm/notify/messages/Xwrapper
Hallo,  (english text below)
Seit der Version 3.3.2 von XFree86 (enthalten in dieser Distribution) werden
bei den XServern keine suid root Bits mehr gesetzt.  Stattdessen werden diese
Server mittels Xwrapper gestartet.  Wenn Sie das Paket aaa_base updaten ohne
auch die neue Version des XFree86 zu installieren, koennen Sie nicht ohne
weiteres mittels startx das X11 System starten (Starten mittels xdm geht
weiterhin).
Moegliche Loesungen sind:
1.  Neues XFree86 verwenden.
oder
2.  Aendern sie in der Datein /etc/permissions in der Zeile mit Ihrem
    Server (/usr/X11R6/bin/XF86_*) 755 auf 4755 und rufen Sie SuSEconfig auf.
Eine weitere "Fehlermoeglichkeit" ist die Existenz einer .xserverrc im Home-
Verzeichnis des Benutzers.  Wenn Sie dort den Xwrapper statt des X-Servers
starten, sollte auch dieses Skript wieder funktionieren.
Hi,
Since version 3.3.2 of XFree86 (included in this distribution) the servers
are not set suid root anymore.  startx does now use Xwrapper to start the
server.  If you have updated aaa_base without updating the XFree86, startx
will not work (xdm does still work).
Solutions:
1.  Install new XFree86.
or
2.  Change the entry for your Server in /etc/permissions 
    (/usr/X11R6/bin/XF86_*) from 755 to 4755 and run SuSEconfig.
A existing ~/.xserverrc also can make trouble.  Start Xwrapper instead
of the X-Server and it should work again.
Have a lot of fun...
                          Your S.u.S.E. Team
EOT
fi
%files -f aaa_base.files
#%ghost /etc/permissions.local
#%ghost /etc/rc.config
#%ghost /root/bin/cron.daily.local
#%ghost /sbin/init.d/boot.local
#%ghost /sbin/init.d/halt.local
#%ghost /usr/sbin/usradd.local
#%ghost /usr/sbin/usrdel.local
#%ghost /var/adm/fillup-templates/group.aaa_base
#%ghost /var/adm/fillup-templates/passwd.aaa_base

